> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Bulk move tests to folder

POST https://api.elevenlabs.io/v1/convai/agent-testing/bulk-move
Content-Type: application/json

Moves multiple tests or folders from one folder to another.

Reference: https://elevenlabs.io/docs/api-reference/tests/test-folders/move

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api
  version: 1.0.0
paths:
  /v1/convai/agent-testing/bulk-move:
    post:
      operationId: move
      summary: Bulk Move Tests To Folder
      description: Moves multiple tests or folders from one folder to another.
      tags:
        - subpackage_conversationalAi.subpackage_conversationalAi/tests
      parameters:
        - name: xi-api-key
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Tests or folders successfully moved to another folder
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_Bulk_move_tests_to_folder_v1_convai_agent_testing_bulk_move_post
servers:
  - url: https://api.elevenlabs.io
  - url: https://api.us.elevenlabs.io
  - url: https://api.eu.residency.elevenlabs.io
  - url: https://api.in.residency.elevenlabs.io
components:
  schemas:
    Body_Bulk_move_tests_to_folder_v1_convai_agent_testing_bulk_move_post:
      type: object
      properties:
        entity_ids:
          type: array
          items:
            type: string
          description: The IDs of tests or folders to move.
        move_to:
          type:
            - string
            - 'null'
          description: >-
            The folder to move the entities to. If not set, the entities will be
            moved to the root folder.
      required:
        - entity_ids
      title: Body_Bulk_move_tests_to_folder_v1_convai_agent_testing_bulk_move_post
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## SDK Code Examples

```typescript
import { ElevenLabsClient } from "@elevenlabs/elevenlabs-js";

async function main() {
    const client = new ElevenLabsClient();
    await client.conversationalAi.tests.move({
        entityIds: [
            "test_9876543210abcdef",
            "folder_1234567890fedcba",
            "test_abcdef1234567890",
        ],
        moveTo: "folder_1122334455667788",
    });
}
main();

```

```python
from elevenlabs import ElevenLabs

client = ElevenLabs()

client.conversational_ai.tests.move(
    entity_ids=[
        "test_9876543210abcdef",
        "folder_1234567890fedcba",
        "test_abcdef1234567890"
    ],
    move_to="folder_1122334455667788",
)

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/agent-testing/bulk-move"

	payload := strings.NewReader("{\n  \"entity_ids\": [\n    \"test_9876543210abcdef\",\n    \"folder_1234567890fedcba\",\n    \"test_abcdef1234567890\"\n  ],\n  \"move_to\": \"folder_1122334455667788\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/agent-testing/bulk-move")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"entity_ids\": [\n    \"test_9876543210abcdef\",\n    \"folder_1234567890fedcba\",\n    \"test_abcdef1234567890\"\n  ],\n  \"move_to\": \"folder_1122334455667788\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/convai/agent-testing/bulk-move")
  .header("Content-Type", "application/json")
  .body("{\n  \"entity_ids\": [\n    \"test_9876543210abcdef\",\n    \"folder_1234567890fedcba\",\n    \"test_abcdef1234567890\"\n  ],\n  \"move_to\": \"folder_1122334455667788\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/convai/agent-testing/bulk-move', [
  'body' => '{
  "entity_ids": [
    "test_9876543210abcdef",
    "folder_1234567890fedcba",
    "test_abcdef1234567890"
  ],
  "move_to": "folder_1122334455667788"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/agent-testing/bulk-move");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"entity_ids\": [\n    \"test_9876543210abcdef\",\n    \"folder_1234567890fedcba\",\n    \"test_abcdef1234567890\"\n  ],\n  \"move_to\": \"folder_1122334455667788\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "entity_ids": ["test_9876543210abcdef", "folder_1234567890fedcba", "test_abcdef1234567890"],
  "move_to": "folder_1122334455667788"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/agent-testing/bulk-move")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```